//package com.pomelotea.api
//
//import org.springframework.web.bind.annotation.CookieValue
//import org.springframework.web.bind.annotation.GetMapping
//import org.springframework.web.bind.annotation.PathVariable
//import org.springframework.web.bind.annotation.PutMapping
//import org.springframework.web.bind.annotation.RequestBody
//import org.springframework.web.bind.annotation.RequestMapping
//import org.springframework.web.bind.annotation.RestController
//import org.springframework.web.servlet.view.RedirectView
//import java.nio.charset.StandardCharsets
//import java.nio.file.Files
//import java.nio.file.Paths
//import java.util.concurrent.atomic.AtomicInteger
//import javax.servlet.http.Cookie
//import javax.servlet.http.HttpServletRequest
//import javax.servlet.http.HttpServletResponse
//
///**
// *
// * @version 0.0.1
// * @author jimlee
// * date 2022-08-04 12:53
// *
// **/
//@RestController
//class TempClipboardController {
//
//    @GetMapping("/clipboard")
//    fun getValue(@CookieValue(value = "clipId", defaultValue = "-1") clipId: Int): String {
//        val tempData = clipMap[clipId] ?: return ""
//        return if (tempData.type == Type.String) {
//            tempData.value ?: ""
//        } else {
//            Files.readAllBytes(Paths.get("./temp/$clipId")).toString(StandardCharsets.UTF_8)
//        }
//    }
//
//    @GetMapping("/c/{clipId}")
//    fun redirectToHome(@PathVariable clipId: Int,
//                       request: HttpServletRequest,
//                       response: HttpServletResponse): RedirectView {
//        response.addCookie(Cookie("clipId", clipId.toString()))
//        return RedirectView("https://c.pomelotea.com", true, false)
//    }
//
//    @PutMapping("/clipboard")
//    fun putValue(@RequestBody putDataRequest: PutDataRequest,
//                 @CookieValue(value = "clipId", defaultValue = "-1") clipId: Int): Int? {
//        if (putDataRequest.value == null) {
//            return null
//        }
//
//        val id: Int = if (clipId != -1) clipId else idInteger.incrementAndGet()
//        clipMap[id] = if (putDataRequest.value.length > 10240) {
//            Files.write(Paths.get("./temp/$id"), putDataRequest.value.toByteArray(StandardCharsets.UTF_8))
//            TempData(Type.File)
//        } else {
//            TempData(Type.String, putDataRequest.value)
//        }
//        return id
//    }
//
//    companion object {
//        private val clipMap: MutableMap<Int, TempData> = HashMap()
//        private val idInteger: AtomicInteger = AtomicInteger(0)
//    }
//}
//
//data class PutDataRequest(
//    val id: Int? = null,
//    val value: String? = null
//)
//
//data class TempData(
//    val type: Type,
//    val value: String? = null
//)
//
//enum class Type {
//    String,
//    File
//}