package com.pomelotea

import org.slf4j.LoggerFactory
import org.springframework.boot.SpringApplication
import org.springframework.boot.autoconfigure.SpringBootApplication
import java.text.SimpleDateFormat
import java.util.*

/**
 *
 * @version 0.0.1
 * @author jimlee
 * date 2022-07-15 10:53
 * 启动入口
 **/
@SpringBootApplication
open class BootApplication {
}
private val logger = LoggerFactory.getLogger("APPLICATION-STARTER")
fun main(args: Array<String>) {
    SpringApplication.run(BootApplication::class.java, *args)
    logger.info("临时粘贴板服务启动成功:{}", SimpleDateFormat("yyyy-MM-dd hh:mm:ss").format(Date()))
}